## darcs-buildpackage 0.5.12

=== Makefile ===
# Copyright (C) 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs darcs-buildpackage.cabal
	ghc -package Cabal Setup.lhs -o setup

clean:
	-./setup clean
	-rm -rf dist *.ho *.hi *.o *.a setup *~

=== docs/SConstruct ===
# Copyright (C) 2004 John Goerzen <jgoerzen@complete.org>
# arch-tag: primary build for docs
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

env = Environment()
env.Export("env")
env.Append(MASTERBASE = 'dbp', TOPNODE = 'dbp', DOINDEX = 1,
        HTMLARGS = '-s local', PDFARGS = '-s local=printlocal')

execfile('sgml-common/SConstruct')

manpages = []
for manpage in ['darcs-buildpackage', 'dbp-initarchive', 'dbp-importorig',
                'dbp-importdsc', 'dbp-markdeb', 'dbp-get']:
    manpages.append(env.MAN('%s.1' % manpage, 'man.%s.sgml' % manpage))
env.Alias('manpages', manpages)

## darcs-buildpackage 0.5.0

=== debian/changelog ===
darcs-buildpackage (0.5.0) unstable; urgency=low

  * Initial release.  Closes: #305420.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Apr 2005 18:55:10 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: darcs-buildpackage
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.10.7), ghc6 (>= 6.2), libghc6-cabal-dev (>= 0.5), scons, xpdf-utils, lynx
Standards-Version: 3.6.0

Package: darcs-buildpackage
Architecture: any
Depends: darcs (>= 1.0.2), darcs-load-dirs (>= 1.0.17), dpkg-dev, devscripts
Description: Suite to help with Debian packages in Darcs archives
 This package helps automate and ease the task of maintaining Debian
 packages by helping you, the Debian developer, take advantage of
 the unique features in Darcs.  The programs included are:
 .
 dbp-importdsc: Import an upstream version and a Debian version from
 a Debian source package, automatically detecting package and version
 information from the .dsc.
 .
 dbp-importorig: Import an upstream tar.gz or directory.
 .
 dbp-markdeb: Mark a working copy for future reference.
 .
 darcs-buildpackage: Builds a Debian package based on information in
 the repository, checking out Debian and upstream versions as necessary.
 .
 darcs-get: Checks out a source tree for a package into the current
 directory, referring to Darcs mirrors if necessary.

## darcs-buildpackage 0.5.3ubuntu1

=== debian/changelog ===
darcs-buildpackage (0.5.3ubuntu1) breezy; urgency=low

  * Remove libghc6-cabal-dev from our build-deps, as it's confusing the
    autobuilders to no end, and we really don't want it anyway with ghc6.4

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Oct 2005 18:27:30 +1000

darcs-buildpackage (0.5.3) unstable; urgency=low

  * Use --set-scripts-executable on darcs get or pull.  A workaround
    for #311156.
  * Clean up build-deps to work with GHC 6.4.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 31 May 2005 06:01:52 -0500

darcs-buildpackage (0.5.2) unstable; urgency=low

  * Let darcs-buildpackage use mirrors for upstream.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 25 Apr 2005 06:41:05 -0500

darcs-buildpackage (0.5.1) unstable; urgency=low

  * Failure to find upstream is no longer fatal in darcs-buildpackage.
    It seems that lots of people are generating Debian-native packages
    with version numbers that indicate an upsteam.
  * Fixed import of .dsc files for Debian-native packages.
    This would cause a crash previously.
  * Quote tag names before sending them to darcs as regexps.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 25 Apr 2005 06:08:14 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.10.7), ghc6 (>= 6.2), libghc6-cabal-dev (>= 0.5), scons, xpdf-utils, lynx
+Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.10.7), ghc6 (>= 6.2), ghc6 (>= 6.4), scons, xpdf-utils, lynx
 Standards-Version: 3.6.0
 
 Package: darcs-buildpackage
@@ -24,5 +24,5 @@
  darcs-buildpackage: Builds a Debian package based on information in
  the repository, checking out Debian and upstream versions as necessary.
  .
- darcs-get: Checks out a source tree for a package into the current
+ dbp-get: Checks out a source tree for a package into the current
  directory, referring to Darcs mirrors if necessary.

## darcs-buildpackage 0.5.5

=== debian/changelog ===
darcs-buildpackage (0.5.5) unstable; urgency=low

  * Rebuild against new ghc6.  Closes: #327283.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  9 Sep 2005 06:45:15 -0500

darcs-buildpackage (0.5.4) unstable; urgency=low

  * Oops, had missed shlib:Depends from control file.  Fixed.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 Aug 2005 05:30:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.10.7), ghc6 (>= 6.2), ghc6 (>= 6.4), scons, xpdf-utils, lynx
+Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.11.4), ghc6 (>= 6.4-4.1), scons, xpdf-utils, lynx
 Standards-Version: 3.6.0
 
 Package: darcs-buildpackage
 Architecture: any
-Depends: darcs (>= 1.0.2), darcs-load-dirs (>= 1.0.17), dpkg-dev, devscripts
+Depends: darcs (>= 1.0.2), darcs-load-dirs (>= 1.0.17), dpkg-dev, devscripts, ${shlib:Depends}
 Description: Suite to help with Debian packages in Darcs archives
  This package helps automate and ease the task of maintaining Debian
  packages by helping you, the Debian developer, take advantage of

## darcs-buildpackage 0.5.8

=== debian/changelog ===
darcs-buildpackage (0.5.8) unstable; urgency=low

  * Update for GHC 6.4.2.  Closes: #376509.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  3 Jul 2006 06:35:25 -0500

darcs-buildpackage (0.5.7) unstable; urgency=low

  * Fixed DBP_BUILDER support to work even when no environment variable is
    given.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 May 2006 01:48:03 -0500

darcs-buildpackage (0.5.6) unstable; urgency=low

  * New environment variable DBP_BUILDER to let the user specify a build
    application other than debuild.  Closes: #323220.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 13 May 2006 14:29:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.11.4), ghc6 (>= 6.4-4.1), scons, xpdf-utils, lynx
+Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.11.4), ghc6 (>= 6.4.2), scons, xpdf-utils, lynx
 Standards-Version: 3.6.0
 
 Package: darcs-buildpackage
 Architecture: any
-Depends: darcs (>= 1.0.2), darcs-load-dirs (>= 1.0.17), dpkg-dev, devscripts, ${shlib:Depends}
+Depends: darcs (>= 1.0.2), darcs-load-dirs (>= 1.0.17), dpkg-dev, devscripts, ${shlibs:Depends}
 Description: Suite to help with Debian packages in Darcs archives
  This package helps automate and ease the task of maintaining Debian
  packages by helping you, the Debian developer, take advantage of

## darcs-buildpackage 0.5.10

=== debian/changelog ===
darcs-buildpackage (0.5.10) unstable; urgency=low

  * Update MissingH build-dep to 0.16.2.  Closes: #394583.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 20:22:30 -0500

darcs-buildpackage (0.5.9) unstable; urgency=low

  * Update for and rebuilt with GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 20 Oct 2006 05:39:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.11.4), ghc6 (>= 6.4.2), scons, xpdf-utils, lynx
+Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.16.2), ghc6 (>= 6.6), scons, xpdf-utils, lynx, libghc6-network-dev, libghc6-unix-dev
 Standards-Version: 3.6.0
 
 Package: darcs-buildpackage

## darcs-buildpackage 0.5.11

=== debian/changelog ===
darcs-buildpackage (0.5.11) unstable; urgency=low

  * Update to MissingH 0.18.0.  Closes: #410838.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2007 05:19:42 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.16.2), ghc6 (>= 6.6), scons, xpdf-utils, lynx, libghc6-network-dev, libghc6-unix-dev
+Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.18.0), ghc6 (>= 6.6), scons, xpdf-utils, lynx, libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev, libghc6-configfile-dev
 Standards-Version: 3.6.0
 
 Package: darcs-buildpackage

## darcs-buildpackage 0.5.12

=== debian/changelog ===
darcs-buildpackage (0.5.12) unstable; urgency=low

  * Update to GHC 6.8.x, MissingH 1.0.0.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 10:50:34 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 0.18.0), ghc6 (>= 6.6), scons, xpdf-utils, lynx, libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev, libghc6-configfile-dev
+Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 1.0.0), ghc6 (>= 6.8.2), scons, xpdf-utils, lynx, libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev, libghc6-configfile-dev
 Standards-Version: 3.6.0
 
 Package: darcs-buildpackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=darcs-buildpackage

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	#touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/tla-buildpackage.sgml > tla-buildpackage.1
	cd docs && scons ps html
	cd docs && scons manpages
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-rm -rf dist
	-cd docs; scons -c .
	-cd docs; rm -r `find . -name .sconsign` manpage.links manpage.refs

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tla-buildpackage.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tla-buildpackage
	./setup copy --copy-prefix=`pwd`/debian/$(PACKAGE)/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs #ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman docs/*.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## darcs-buildpackage 0.5.12.1

=== debian/changelog ===
darcs-buildpackage (0.5.12.1) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 13:37:42 -0600

darcs-buildpackage (0.5.12+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * darcs-buildpackage.hs: use Control.OldException module to fix FTBFS
    with GHC 6.10 (Closes: #536922)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 06 Nov 2009 09:37:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: darcs-buildpackage
 Section: devel
 Priority: optional
-Maintainer: John Goerzen <jgoerzen@complete.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 1.0.0), ghc6 (>= 6.8.2), scons, xpdf-utils, lynx, libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev, libghc6-configfile-dev
 Standards-Version: 3.6.0

## darcs-buildpackage 0.5.12.2

=== debian/changelog ===
darcs-buildpackage (0.5.12.2) unstable; urgency=medium

  * QA upload.
  * Depend on poppler-tools directly instead of xpdf-utils (Closes: #591158)

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Aug 2010 02:24:31 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 1.0.0), ghc6 (>= 6.8.2), scons, xpdf-utils, lynx, libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev, libghc6-configfile-dev
+Build-Depends: debhelper (>= 4.1.80), gtk-doc-tools, sgml2x, docbook-utils, jade, libghc6-missingh-dev (>= 1.0.0), ghc6 (>= 6.8.2), scons, poppler-utils, lynx, libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev, libghc6-configfile-dev
 Standards-Version: 3.6.0
 
 Package: darcs-buildpackage
